# ArrayObject::offsetUnset

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetUnset — Efface la valeur à l'$index spécifié

### Description

public ArrayObject::offsetUnset(mixed `$key`): void

Efface la valeur à l'$index spécifié.

### Liste de paramètres

`key`

  L'index à effacer.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple avec ArrayObject::offsetUnset()

`<?php
$arrayobj = new ArrayObject(array(0=>'zero',2=>'two'));
$arrayobj->offsetUnset(2);
var_dump($arrayobj);
?>`

L'exemple ci-dessus va afficher :

    object(ArrayObject)#1 (1) {
      ["storage":"ArrayObject":private]=>
      array(1) {
        [0]=>
        string(4) "zero"
      }
    }